.kubeconfig:
  image: louiznk/k8s-tools:1.0.0
  before_script:
    - |
      mkdir -p ${HOME}/.kube
      mv ${KUBECONFIG_FILE} ${HOME}/.kube/config

stages:
  - deploy-helm-prod
  - deploy-helm-secret

# exemple pour helm
helm-prod:
  stage: deploy-helm-prod
  extends: .kubeconfig
  script:
    - echo "👋 Deploy helm dans le namespace helm-prod"
    - kubectl create ns helm-prod 2>/dev/null || true
    - helm template sith-prod --create-namespace -n helm-prod -f 02-helm/values.yaml --set testConnection=false 02-helm/ | kubectl apply -n helm-prod -f -

helm-vault-operator-secret:
  stage: deploy-helm-secret
  extends: .kubeconfig
  script:
    - echo "👋 Deploy helm dans le namespace helm-vault-operator-secret"
    - kubectl create ns helm-vault-operator-secret 2>/dev/null || true
    - helm template sith-secret --create-namespace -n helm-vault-operator-secret -f 02-helm/values-vault-operator.yml --set testConnection=false 02-helm/ | kubectl apply -n helm-vault-operator-secret -f -